## openmpi 5.0.5

=== debian/changelog ===
openmpi (5.0.5-3) unstable; urgency=medium

  * Ensure files not installed in a binary-indep build are listed in
    d/not-installed. Closes: #1085151
  * Fix 2 links that were not updated
    libmpi.so.40.40.5
    libmpi_usempif08-gfortran.so.40.40.2
  * Drop obsolete refs to kfreebsd-i386 in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2024 11:03:15 +0100

openmpi (5.0.5-2) unstable; urgency=medium

  * Push to unstable for pseudo-transition. Closes: #1078212

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Oct 2024 17:53:18 +0100

openmpi (5.0.5-1) experimental; urgency=medium

  * New upstream release
  * Ack old bug fixed: Closes: #1070985

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jul 2024 07:48:34 +0100

openmpi (5.0.4-1) experimental; urgency=medium

  * New upstream release
  * libs change:
    libmpi.so.40.40.3  -> libmpi.so.40.40.4
    libmpi_usempif08.so.40.40.1 -> libmpi_usempif08.so.40.40.2
    libopen-pal.so.80.0.3 -> libopen-pal.so.80.0.4
    liboshmem.so.40.40.2 -> liboshmem.so.40.40.3
    libprrte.so.3.0.5 -> libprrte.so.3.0.6

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jul 2024 08:56:29 +0100

openmpi (5.0.3-3) experimental; urgency=medium

  * Add t64 transition changes to 5.0.3 version; Closes: #1064263
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 May 2024 15:33:51 +0100

openmpi (5.0.3-2) experimental; urgency=medium

  * Rename /usr/bin/pterm to pterm.openmpi. Closes: #1056054, #1068808

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 16:16:39 +0100

openmpi (5.0.3-1) experimental; urgency=medium

  * New upstream release
  * Ensure mpiexec.openmpi -> mpirun.openmpi not mpirun, as mpirun may 
    be redirected by alternatives
  * pcc no longer shipped?
  * libs change:
     libopen-pal.so.80.0.2 -> libopen-pal.so.80.0.3
     libprrte.so.3.0.3 -> libprrte.so.3.0.5
     liboshmem.so.40.40.1 -> liboshmem.so.40.40.2
     libmpi.so.40.40.2 -> 40.40.3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Apr 2024 14:29:18 +0100

openmpi (5.0.2-1) experimental; urgency=medium

  * New upstream release
  * libs change:
     liboshmem.so.40.40.0 -> liboshmem.so.40.40.1
     libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.2
     libprrte.so.3.0.2 -> libprrte.so.3.0.3
     libmpi.so.40.40.0 -> 40.40.2
     libmpi_usempif08.so.40.40.0 -> libmpi_usempif08.so.40.40.1
  * B-D on architecture-is-64-bit. No longer support 32-bit systems
  * libopenmpi-dev.postinst.in: drop mpic++ links for >= 5.0.0
  * autopkg tests must not have underscores in names
  * Add pkgconfi to tests
  * libopenmpi-dev deps on fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Feb 2024 12:25:11 +0000

openmpi (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      liboshmem.so.40.30.3 -> liboshmem.so.40.40.0
      libmpi_java: 40.30.0 -> libmpi_java.so.40.40.0
      libopen-pal.40.30.3 -> libopen-pal.80.0.0
      libmpi.so.40.30.6   -> libmpi.so.40.40.0
      libmpifh.so.40.40.0 -> libmpifh.40.40.0
      libmpi_usempif08.so.40.30.0 -> libmpi_usempif08.so.40.40.0
      libmpi_usempi_ignore_tkr.so.40.30.0 -> libmpi_usempi_ignore_tkr.so.40.40.0
      libompitrace.so.40.30.1 -> libompitrace.so.40.40.0
      libopen-rte.so.40.30.3 no longer shipped
      libmca_* no longer shipped
      Now ship libprrte.so.3.0.2

  * Patch for hurd-amd64 thanks to Sam Thibault. Closes: #1055425
  * Disable C++ support - dropped from MPI standard
  * B-D on python3-sphinx-rtd-theme,  python3-recommonmark for docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Nov 2023 19:17:54 +0000
