## openmpi 5.0.6

=== debian/changelog ===
openmpi (5.0.6-3) unstable; urgency=medium

  * Fix broken symlink libprrte.so. Closes: #1088767
  * Add Rules-Requires-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2024 05:44:06 +0000

openmpi (5.0.6-2) unstable; urgency=medium

  * Typo in libprrte.so link
  * Upstream patch for prte type  error. Closes: #1087800

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2024 11:33:09 +0000

openmpi (5.0.6-1) experimental; urgency=medium

  * Upstream 5.0.6 bugfix release
  * Don't ship orte.pc
  * Merge 5.0.5-6 changes to debian/experimental for transition.
    Closes: #1087683, #1078026
  * Fix PRTE bug for #1087800 (prte-types.patch)
  * Updated library minor versions:
    - libmpi_mpifh.so.40.40.1
    - libmpi_usempi_ignore_tkr.so.40.40.1
    - libmpi_usempif08.so.40.40.3
    - libmpi_java.so.40.40.1
    - libmpi.so.40.40.6
    - libopen-pal.so.80.0.5
    - liboshmem.so.40.40.4
    - libprrte.so.3.0.7

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2024 11:05:55 +0000

openmpi (5.0.5-6) unstable; urgency=medium

  * libmca_* not shipped; delete broken symlinks
  * Fix other broken symlinks: docs,etc
  * Correct paths in mpi wrappers. Closes: #1086209, #10870100
  * Update d/tests/* for  pkgconf tests
  * Drop rpath from libs. Closes: #1085509
  * Update README.Debian

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Nov 2024 06:29:12 +0000

openmpi (5.0.5-4) experimental; urgency=medium

  * Transition: libopenmpit364 -> libopenmpi40, as libmpi_cxx dropped
  * Avoid passing FMODDIR to wrapper data for arch-dependent paths;
    sed to ${libdir}/.. instead.  Closes: #1085258
  * Move pkg-config -> pkgconf
  * openmpi-doc: depend on libjs-jquery, fonts-font-awesome
  * Add riscv64 to libucx-dev build-dep

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2024 05:12:40 +0100

openmpi (4.1.6-13) unstable; urgency=medium

  * Move pmix help files to libopenmpi3t64, not openmpi3-common

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 17:37:26 +0100

openmpi (4.1.6-12) unstable; urgency=medium

  * Use Conflicts/Provides/Replaces libpmix2. Closes: #1068735
  * Patch from Adrian Bunk for atomics.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 14:45:23 +0100

openmpi (4.1.6-11) unstable; urgency=medium

  * Ship help text files for pmix. Closes: #1069106

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 11:15:11 +0100

openmpi (4.1.6-10) unstable; urgency=medium

  * libopenmpi3t64 breaks/replaces libpmix2t64 not libpmix2.
    Closes: #1068735

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 10:25:06 +0100

openmpi (4.1.6-9) unstable; urgency=medium

  * Ship pmix on 32-bit systems; ensure we break/depend on libpmix on 32-bit
    systems. Closes: #1067784, #1068612

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 09:17:18 +0100

openmpi (4.1.6-8) unstable; urgency=medium

  * Only dep on libpmix on 64-bit systems.
  * Disable modules that need 64-bit atomic ops on 32-bit systems.
    Closes: #1067055

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Apr 2024 14:34:22 +0100

openmpi (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      libprrte.so.3.0.2 -> libprrte.so.3.0.3
      libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.1
      liboshmem.so.40.40.0  -> liboshmem.so.40.40.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 16:34:38 +0000
