=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  debhelper-compat (= 13), 
  libevent-dev,
  libpmix-dev,
- libucx-dev [amd64 arm64 ppc64el],
+ libucx-dev [amd64 arm64 ppc64el riscv64],
  zlib1g-dev,
  gfortran,
  libhwloc-dev,
- pkg-config,
+ pkgconf,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any],
  libfabric-dev [!kfreebsd-amd64 !hurd-any],
  libnuma-dev [!kfreebsd-amd64 !hurd-any],
@@ -25,6 +25,7 @@
  default-jdk [!hurd-any !kfreebsd-amd64 !alpha !ppc64 !sparc64] <!nojava>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
@@ -71,7 +72,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${fortran:Depends},
- libopenmpi3t64 (= ${binary:Version}), 
+ libopenmpi40 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any], libhwloc-dev,
  libevent-dev, 
@@ -96,16 +97,16 @@
  This package contains the header files and compiler wrappers which are needed
  to compile and link programs against libopenmpi.
 
-Package: libopenmpi3t64
+Package: libopenmpi40
 Section: libs
 Architecture: any
 Multi-Arch: same
-Provides: ${t64:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: libopenmpi3 (<< ${source:Version}), gromacs-openmpi (<< 2020~beta2-2), 
+Breaks: libopenmpi3 (<< ${source:Version}), libopenmpi3t64 (<< ${source:Version}),
+ gromacs-openmpi (<< 2020~beta2-2), 
  libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), 
  starpu-examples (<< 1.3.2+dfsg-4+b1)
-Replaces: libopenmpi3
+Replaces: libopenmpi3, libopenmpi3t64
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
@@ -133,7 +134,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-jquery-ui
+Depends: ${misc:Depends}, libjs-jquery-ui, libjs-jquery,
+ fonts-font-awesome
 Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-doc
 Replaces:  libopenmpi-dev (<< 4.1.2~rc1-4)
 Breaks: libopenmpi-dev (<< 4.1.2~rc1-4)
