=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 NO_FABRIC_ARCH:=hurd-amd64 kfreebsd-amd64 s390x 
 PSM_ARCH:= amd64
 PSM2_ARCH:= amd64
-UCX_ARCH:= amd64 ppc64el arm64
+UCX_ARCH:= amd64 ppc64el arm64 riscv64
 ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x alpha sparc64
 NO_JAVA_ARCH:= hurd-amd64 kfreebsd-amd64 ppc64 alpha sparc64
@@ -49,7 +49,8 @@
 export GFORTRAN_MOD_VERSION=gfortran-mod-15
 
 FMODDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/fortran/$(GFORTRAN_MOD_VERSION)
-
+# arch-neutral version we can put in openmpi-common configs
+FMODDIR_STRING:="\${libdir}/fortran/$(GFORTRAN_MOD_VERSION)"
 # FC set to f77 by default in make
 # Read default compiler name unless FC is actually set
 ifeq ($(FC),f77)
@@ -156,21 +157,19 @@
 # Strip rpath from pc,wrapper files
 	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  oshmem-c.pc  oshmem-cxx.pc  oshmem-fort.pc  oshmem.pc ; do  \
 		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} | \
-                sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
+                sed -e 's%@FMODDIR@%${FMODDIR_STRING}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
 		done
 	find . -name '*wrapper-data.txt' | while read f; do \
-		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
-		sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
+		sed -e 's%$${prefix}/lib/${DEB_HOST_MULTIARCH}%$${libdir}%g' <  $$f | \
+		sed -e 's%@FMODDIR@%${FMODDIR_STRING}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $$f ; done
 # Rename the compiler wrapper man pages.
 	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
 		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.1; then \
-			echo DEBUG7 $${f} ;\
 			mv $(DESTDIR)/usr/share/man/man1/$${f}.1 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.1 ; \
 		fi; \
 		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.3; then \
-			echo DEBUG8 $${f} ;\
 			mv $(DESTDIR)/usr/share/man/man3/$${f}.3 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.3 ; \
 		fi; \
 	done
@@ -179,16 +178,13 @@
 		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
 	done; \
 	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.40.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.40.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.40.2 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.2
-	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.40.0 \
-		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.0
+	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.40.1  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.1
+	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.40.1 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.1
+	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.40.3 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.3
+	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.40.1 \
+               $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.40.1
 	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
-		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.40.0 \
-		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.40.2 \
-		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.2
-	# Flang, if present
-	$(DO_FLANG) && ( \
-		mkdir -p $(DESTDIR)/$(FLANG_MODDIR) ; \
+		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.40.1 \
+		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.40.1
+	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.40.3 \
+		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.40.3
