=== debian/changelog ===
openmpi (5.0.7-1) unstable; urgency=medium

  * New upstream release
  * prte_data_server.patch: Merged upstream
  * Update/fix metadata on d/patches
   * Updated library minor versions:
    - libmpi.so.40.40.7
    - libprrte.so.3.0.8
  * sshmmem.patch: cast to fix  Wint-conversion
  * Don't install pcc

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Feb 2025 13:09:46 +0000

openmpi (5.0.6-4) unstable; urgency=medium

  * Strip rpath from wrapper files. Closes: #1085509
  * Build-dep on pmix > 5.0.6-2 for symlink fix

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 09:54:48 +0000
