=== debian/control ===
--- 
+++ 
@@ -9,20 +9,21 @@
  dh-sequence-fortran-mod,
  debhelper-compat (= 13), 
  libevent-dev,
- libpmix-dev,
+ libpmix-dev (>= 5.0.6-2),
  libucx-dev [amd64 arm64 ppc64el riscv64],
  zlib1g-dev,
  gfortran,
  libhwloc-dev,
  pkgconf,
- libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any],
- libfabric-dev [!kfreebsd-amd64 !hurd-any],
- libnuma-dev [!kfreebsd-amd64 !hurd-any],
+ libibverbs-dev (>= 1.1.7) [!hurd-any],
+ libfabric-dev [!hurd-any],
+ libnuma-dev [!hurd-any],
  libpsm-infinipath1-dev [amd64],
  libpsm2-dev [amd64],
  python3-sphinx-rtd-theme,
  python3-recommonmark,
- default-jdk [!hurd-any !kfreebsd-amd64 !alpha !ppc64 !sparc64] <!nojava>,
+ default-jdk [!hurd-any !alpha !ppc64 !sparc64] <!nojava>,
+ chrpath,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
 Rules-Requires-Root: no
@@ -74,7 +75,7 @@
 Depends: ${misc:Depends}, ${fortran:Depends},
  libopenmpi40 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
- libibverbs-dev (>= 1.1.7) [!kfreebsd-amd64 !hurd-any], libhwloc-dev,
+ libibverbs-dev (>= 1.1.7) [!hurd-any], libhwloc-dev,
  libevent-dev, 
  libpmix-dev,
  libjs-jquery,
