=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,14 @@
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
-NO_VERBS_ARCH:= hurd-amd64 kfreebsd-amd64 s390x 
-NO_FABRIC_ARCH:=hurd-amd64 kfreebsd-amd64 s390x 
+NO_VERBS_ARCH:= hurd-amd64 s390x 
+NO_FABRIC_ARCH:=hurd-amd64 s390x 
 PSM_ARCH:= amd64
 PSM2_ARCH:= amd64
 UCX_ARCH:= amd64 ppc64el arm64 riscv64
 ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x alpha sparc64
-NO_JAVA_ARCH:= hurd-amd64 kfreebsd-amd64 ppc64 alpha sparc64
+NO_JAVA_ARCH:= hurd-amd64 ppc64 alpha sparc64
 NO_TEST_ARCH:= hurd-amd64
 
 
@@ -162,6 +162,7 @@
 		done
 	find . -name '*wrapper-data.txt' | while read f; do \
 		sed -e 's%$${prefix}/lib/${DEB_HOST_MULTIARCH}%$${libdir}%g' <  $$f | \
+		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' | \
 		sed -e 's%@FMODDIR@%${FMODDIR_STRING}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $$f ; done
 # Rename the compiler wrapper man pages.
