=== debian/changelog ===
openmpi (5.0.8-8ubuntu1) questing; urgency=medium

  * Really fix hard-coded fortran mod directory in patches.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Sep 2025 15:03:06 +0200

openmpi (5.0.8-8) unstable; urgency=medium

  * Fix hard-coded fortran mod directory in patch. Closes: #1097520

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 15:55:38 +0100

openmpi (5.0.8-7) unstable; urgency=medium

  * Rebuild with gfortran-15, update FMODDIR in d/rules. Closes: #1097520
  * Close bug, fixed with pmix 6.0.0-3 upload. Closes: #1112049

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:15:55 +0100

openmpi (5.0.8-6) unstable; urgency=medium

  * Partial revert of 1107591 that breaks compilation
  * Properly close bug. Closes: #1112291

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Aug 2025 09:04:55 +0100

openmpi (5.0.8-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Ship pmix_zlib.so plugin. Closes: #1112291
  * Close bug fixed in pmix. Closes: #1112049

  [ Helmut Grohe ]
  * Make Build-Depends compatible with cross building. Closes: #1107591

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Aug 2025 13:25:06 +0100

openmpi (5.0.8-4) unstable; urgency=medium

  * Ship missing docs that break tests. Closes: #1112181

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Aug 2025 15:10:10 +0100

openmpi (5.0.8-3) unstable; urgency=medium

  * Fix breaks/replaces for libpmix2t64 version.
  * Close old bug. Closes: #1111199

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 15:42:08 +0100

openmpi (5.0.8-2) unstable; urgency=medium

  * Use internal pmix. Closes: #1111125

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 11:10:34 +0100

openmpi (5.0.8-1) experimental; urgency=medium

  * New upstream release
    - sshmem.patch: fixed upstream
  * Standards-Version: 4.7.2
  * Updated library minor versions:
    - libprrte.so.3.0.11

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Jun 2025 16:36:20 +0100
