=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  dh-sequence-fortran-mod,
  debhelper-compat (= 13), 
  libevent-dev,
- libpmix-dev (>= 5.0.6-2),
  libucx-dev [amd64 arm64 ppc64el riscv64],
  zlib1g-dev,
- gfortran,
+ gfortran-for-host,
  libhwloc-dev,
  pkgconf,
  libibverbs-dev (>= 1.1.7) [!hurd-any],
@@ -20,14 +19,14 @@
  libnuma-dev [!hurd-any],
  libpsm-infinipath1-dev [amd64],
  libpsm2-dev [amd64],
- python3-sphinx-rtd-theme,
- python3-recommonmark,
+ python3-sphinx-rtd-theme:native,
+ python3-recommonmark:native,
  default-jdk [!hurd-any !alpha !ppc64 !sparc64] <!nojava>,
  chrpath,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest
@@ -36,14 +35,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (>= ${source:Version}),
  openssh-client | ssh-client
-Conflicts: openmpi-bin
 Multi-Arch: foreign
 Breaks:
- libopenmpi-dev (<< 4.0.5-3),
- mpich (<< 3.3~b1-5),
- libmpich-dev (<< 3.3~b1-5),
  lam4-dev (<< 7.1.4-4),
-Replaces: libopenmpi-dev (<< 4.0.5-3),
 Suggests: gfortran | fortran-compiler
 Description: high performance message passing library -- binaries
  Open MPI is a project combining technologies and resources from several other
@@ -77,15 +71,13 @@
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!hurd-any], libhwloc-dev,
  libevent-dev, 
- libpmix-dev,
  libjs-jquery,
  libjs-jquery-ui,
  zlib1g-dev,
  openmpi-bin (>= 3.0.0-1)
+Conflicts: libopenmpi-dev, libpmix-dev
 Recommends: libcoarrays-openmpi-dev
-Conflicts: libopenmpi-dev
 Breaks:
- openmpi-doc (<< 4.1.2~rc1-4),
  lam4-dev (<< 7.1.4-4),
 Suggests: openmpi-doc
 Description: high performance message passing library -- header files
@@ -102,12 +94,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: libopenmpi3 (<< ${source:Version}), libopenmpi3t64 (<< ${source:Version}),
- gromacs-openmpi (<< 2020~beta2-2), 
- libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), 
- starpu-examples (<< 1.3.2+dfsg-4+b1)
-Replaces: libopenmpi3, libopenmpi3t64
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
+Breaks: libpmix2t64 (<< 6.0.0-3)
+Replaces: libpmix2t64 (<<  6.0.0-3)
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
