=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+# This needed for cross-builds but breaks mpicc. Why? 2025-08-30
+# DPKG_EXPORT_BUILDTOOLS = 1
+# include /usr/share/dpkg/buildtools.mk
 
 DESTDIR:=$(CURDIR)/debian/tmp/
 BUILDDIR_FLANG=debian/build-flang
@@ -46,16 +50,11 @@
 
 FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
 # GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
-export GFORTRAN_MOD_VERSION=gfortran-mod-15
+export GFORTRAN_MOD_VERSION=gfortran-mod-16
 
 FMODDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/fortran/$(GFORTRAN_MOD_VERSION)
 # arch-neutral version we can put in openmpi-common configs
 FMODDIR_STRING:="\${libdir}/fortran/$(GFORTRAN_MOD_VERSION)"
-# FC set to f77 by default in make
-# Read default compiler name unless FC is actually set
-ifeq ($(FC),f77)
-  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
-endif
 
 # Drop '-g' flag with flang. Known failure with 2018122 version
 ifneq ($(filter flang,$(FC)),)
@@ -89,11 +88,11 @@
 		--with-package-string="Debian OpenMPI" \
 		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) \
 		$(UCX) \
-		--with-pmix=external \
 		$(ATOMICS) \
 		$(JAVA) \
 		$(STATIC_CONFIG_PARAMS) \
 		$(BTL_TESTS) \
+		--with-pmix=internal \
                 --with-libevent=external \
 		--with-hwloc=external  \
 		--disable-silent-rules \
