=== debian/watch ===
version=3
http://www.open-mpi.org/software/ompi/ .*/.*/openmpi-([\d+\.]+)\.tar\.gz
